Bug 142672 - NNTP authentication broken
NNTP authentication broken
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-12 06:56 EST by Lucas Maneos
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 16:06:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucas Maneos 2004-12-12 06:56:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
(Component should be cyrus-imapd-nntp, but that is not listed at all
in the form.)

After upgrading to cyrus-imapd*-2.2.10-3.fc2, NNTP authentication no
longer works.  IMAP authentication still works as expected.

saslauthd runs with -a pam

Version-Release number of selected component (if applicable):
cyrus-imapd-nntp-2.2.10-3.fc2

How reproducible:
Always

Steps to Reproduce:
1. Connect to the NNTP service with a newsreader
2. Enter user & pass

    

Actual Results:  Authentication fails

Expected Results:  Successfull login

Additional info:

saslauthd logs:

DEBUG: auth_pam: pam_authenticate failed: Authentication failure

and

do_auth         : auth failure: [user=XXXX] [service=nntp] [realm=]
[mech=pam] [reason=PAM auth error]

nntpd logs:

badlogin: [...] plaintext XXXX SASL(-13): authentication failure:
checkpass failed
Comment 1 Simon Matter 2004-12-17 11:36:19 EST
Could you try to "cp /etc/pam.d/news /etc/pam.d/nntp". Seems like the
pam service name has silently been changed recently.
Comment 2 Lucas Maneos 2004-12-18 02:25:12 EST
That worked, thanks!
Comment 3 Simon Matter 2004-12-18 06:00:51 EST
It's fixed now in the current Invoca rpm (cyrus-imapd-2.2.10-7). I'm
sure it will be fixed in the next RedHat/Fedora package too.
Comment 4 John Dennis 2005-02-10 16:06:12 EST
currently importing cyrus-imapd 2.2.10-11, this will show up in the
next fedora release, FC4

Note You need to log in before you can comment on or make changes to this bug.